%define Werror_cflags %nil
%define betalevel beta1

Name:		vegastrike
Version:	0.5.1	
Release:	%mkrel 6
Summary:	3D OpenGL spaceflight simulator
License:	GPLv2+
Group:		Games/Arcade
URL:		http://vegastrike.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.%{betalevel}-2.tar.bz2
Source1:	%{name}-manpages.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Requires:	%{name}-data = %{version}
Suggests:	%{name}-sounds = %{version}
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	mesaglut-devel
BuildRequires:	SDL-devel
BuildRequires:	boost-devel
BuildRequires:	expat-devel
BuildRequires:	gtk+2-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	zlib-devel
BuildRequires:	openal-devel
BuildRequires:	python-devel
BuildRequires:	libvorbis-devel
BuildRequires:	ogre-devel

%description
Vega Strike is a GPL 3D OpenGL Action RPG space sim for
Windows/Linux that allows a player to trade and bounty hunt
in the spirit of Elite. You start in an old beat up Wayfarer
cargo ship, with endless possibility before you and just
enough cash to scrape together a life. Yet danger lurks in
the space beyond.

%prep
%setup -q -n %{name}-src-%{version}.%{betalevel} -a1
iconv -f ISO-8859-1 -t UTF-8 README > README.tmp
touch -r README README.tmp
mv README.tmp README

# we want to use the system version of expat.h
rm objconv/mesher/expat.h

%build
autoreconf -fi
%configure2_5x	--bindir=%{_gamesbindir} \
		--with-data-dir=%{_gamesdatadir}/%{name} \
		--enable-release \
		--with-boost=system \
		--enable-flags="%{optflags} -DBOOST_PYTHON_NO_PY_SIGNATURES" \
		--enable-stencil-buffer

%make

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__mkdir_p} %{buildroot}%{_libexecdir}/%{name}
chmod +x %{buildroot}%{_prefix}/objconv/*
mv %{buildroot}%{_prefix}/objconv/* \
	%{buildroot}%{_libexecdir}/%{name}
for i in asteroidgen base_maker mesh_xml mesher replace tempgen trisort \
	vsrextract vsrmake; do
mv %{buildroot}%{_bindir}/$i %{buildroot}%{_libexecdir}/%{name};
done


%{__mkdir_p} %{buildroot}%{_gamesbindir}
for i in vegaserver vegastrike vssetup; do
  mv %{buildroot}%{_bindir}/$i %{buildroot}%{_gamesbindir};
done


%{__mkdir_p} %{buildroot}%{_mandir}
for i in *.6; do %{__install} -m 644 $i -D %{buildroot}%{_mandir}/man6/$i; done



%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__cat} > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Vega Strike
Comment=3D OpenGL spaceflight simulator
Exec=%{_gamesbindir}/vegastrike
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%{__install} -m 644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
%{__install} -m 644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m 644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%{__install} -d %{buildroot}%{_gamesdatadir}/%{name}

%{__perl} -pi -e 's|\r$||g' README

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc README
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*
%{_mandir}/man6/*
%dir %{_gamesdatadir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/*
%{_libexecdir}/%{name}


%changelog
* Sun May 15 2011 pterjan <pterjan> 0.5.1-6.mga1
+ Revision: 99038
- Rebuild for fixed find-requires

* Wed Apr 27 2011 wally <wally> 0.5.1-5.mga1
+ Revision: 92012
- use _real_vendor macro in desktop file name

* Tue Apr 26 2011 supp <supp> 0.5.1-4.mga1
+ Revision: 91785
- fix desktop file (mga#954)

* Sun Apr 03 2011 supp <supp> 0.5.1-3.mga1
+ Revision: 80032
- update to official 0.5.1 beta1 release, add suggests for speech+music

* Mon Feb 28 2011 supp <supp> 0.5.1-1.mga1
+ Revision: 61871
- update to 0.5.1 beta 1...
- imported package vegastrike


* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 0.5.0-9mdv2011.0
+ Revision: 594144
- fix build with gcc 45
- rebuild for py 2.7

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 0.5.0-8mdv2010.1
+ Revision: 504922
- rebuild for new ogre

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.5.0-7mdv2010.1
+ Revision: 492263
- rebuild for new libjpegv8

* Thu Dec 31 2009 Tomas Kindl <supp@mandriva.org> 0.5.0-6mdv2010.1
+ Revision: 484456
- corrected mkrel
-fixed a typo in SPEC
-added patch for compiling under GCC 4.4.x
-rebuild for new OpenAL major
-This line, and following ones, will be ignored--
  file SPECS/vegastrike.spec modified

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Apr 03 2009 Emmanuel Andry <eandry@mandriva.org> 0.5.0-5mdv2009.1
+ Revision: 363735
- oops, disable boost, really doesn't work
- fix menu group entry (#49371)

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-4mdv2009.1
+ Revision: 348029
- fix some format errors
- disabled -Werror=format-security, because of generated python bindings
- removed unused files

  + Funda Wang <fwang@mandriva.org>
    - rediff vssetup patch

* Sun Sep 07 2008 Emmanuel Andry <eandry@mandriva.org> 0.5.0-3mdv2009.0
+ Revision: 282390
- renumber patches
- spec cleanups
- add python patch from fedora
- disable boot

* Tue Aug 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.5.0-2mdv2009.0
+ Revision: 276154
- rebuild for new ogre

* Sun Aug 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.5.0-1mdv2009.0
+ Revision: 275568
- manually move binaries into gamesbindir, the makeinstall bindir=gamesbindir doesn't work
- move some binaries into libexecdir
- fix exec in desktop file
- update file list
- drop SOURCE2, setup is provided upstream
- rediff P11
- New version
- fix license
- BR ogre-devel
- drop patches 3 4 6 8 10 12 13
- rediff p5 9 14
- disable system boost, breaks build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Dec 22 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.4.3-16mdv2008.1
+ Revision: 136765
- fix broken P13 to fix linking and failure to build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Crispin Boylan <crisb@mandriva.org> 0.4.3-15mdv2008.1
+ Revision: 102231
- Fix boost requires for x86_64
- Update patch 13 for new boost

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 0.4.3-14mdv2008.0
+ Revision: 81358
- drop old menu

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Feb 25 2007 Olivier Blin <oblin@mandriva.com> 0.4.3-13mdv2007.0
+ Revision: 125614
- more openal fixes
- fix openal support in configure
- buildrequire freealut-devel and oggvorbis-devel
- Import vegastrike

* Fri Sep 01 2006 David Walluck <walluck@mandriva.org> 0.4.3-12mdv2007.0
- BuildRequires: libboost-devel

* Sat Aug 26 2006 David Walluck <walluck@mandriva.org> 0.4.3-11mdv2007.0
- BuildRequires: libexpat-devel
- BuildRequires: X11-devel
- bunzip2 patches

* Fri Aug 25 2006 David Walluck <walluck@mandriva.org> 0.4.3-10mdv2007.0
- add xdg menu

* Wed Jun 14 2006 David Walluck <walluck@mandriva.org> 0.4.3-9mdv2007.0
- patch for gcc 4.1
- add vssetup and patch to build with %%{optflags} and gtk2-devel
- remove vegastrike.sh since it's already there as vsinstall
- clean tarball (remove *.a and src/boost*) and build with system boost
- change menu group to More Applications/Games/Arcade
- BuildRequires: mesaglu-devel

* Mon Mar 06 2006 Cris Boylan <misc@mandriva.org> 0.4.3-8mdk
- Build vslauncher with gtk2
- BuildRequires: gtk2-devel not gtk-devel

* Tue Feb 21 2006 David Walluck <walluck@mandriva.org> 0.4.3-7mdk
- BuildRequires: gtk-devel not gtk2-devel

* Tue Feb 14 2006 David Walluck <walluck@mandriva.org> 0.4.3-6mdk
- BuildRequires: gtk2-devel

* Mon Feb 13 2006 David Walluck <walluck@mandriva.org> 0.4.3-5mdk
- BuildRequires: SDL_mixer-devel

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0.4.3-4mdk
- fix build on x86_64
- fix wrong-file-end-of-line-encoding
- remove unused vssetup patch

* Sat Jul 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.3-3mdk
- fix build with gcc 4 (P8)
- fix ownership of datadir

* Sat May 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.3-2mdk
- lib64 fix
- %%mkrel

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.3-1mdk
- 0.4.3
- versioned requires
- update patches

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.1-2mdk
- force autoconf-2.5x
- fix buildrequires (lib64..)

